list(APPEND image_HEADERS 
    Image.h
    png/PngWriter.h
    )

list(APPEND image_LIB_INCLUDES 
    Image.cpp
    png/PngWriter.cpp
    png/PngReader.cpp
    png/PngHeader.cpp
    png/PngInfo.cpp
    ImageBitStream.cpp
    )

list(APPEND image_LIBS core compression)
list(APPEND image_DEFINES "")


add_library(image SHARED ${image_LIB_INCLUDES} ${image_HEADERS})
#target_compile_definitions(image PRIVATE ${image_DEFINES})

target_include_directories(image PUBLIC 
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/png)
set_target_properties( image PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON ) 

target_link_libraries( image PUBLIC ${image_LIBS})

set_property(TARGET image PROPERTY FOLDER src)
